NX Open C++ Reference Guide
|
Represents the builder for creating a bounded grid Display::BoundedGrid . More...
Public Types | |
enum | LabelReferenceType { LabelReferenceTypeLocal, LabelReferenceTypeWcs, LabelReferenceTypeAbsolute } |
Specifies label reference. More... | |
enum | ShowLabelType { ShowLabelTypeAlways, ShowLabelTypeParalleltoView, ShowLabelTypeNone } |
Specifies label option to be used for grid label display. More... | |
![]() | |
enum | LineStyleType { LineStyleTypeSolid, LineStyleTypeDashed, LineStyleTypePhantom, LineStyleTypeCenterline, LineStyleTypeDotted, LineStyleTypeLongdash, LineStyleTypeDotdash } |
Specifies line style to be used for major and minor lines of the grid. More... | |
enum | LineWeightType { LineWeightTypeThin, LineWeightTypeNormal, LineWeightTypeThick } |
Specifies line weight to be used for major and minor lines of the grid. More... | |
Public Member Functions | |
bool | Associative () |
Returns the associative Created in NX6.0.0. | |
bool | GetCornerPoints (NXOpen::Point3d *point1, NXOpen::Point3d *point2, NXOpen::Point3d *point3, NXOpen::Point3d *point4) |
Gets corner points of the grid. | |
NXOpen::Display::BoundedGridBuilder::LabelReferenceType | LabelReference () |
Returns the label reference Created in NX6.0.0. | |
NXOpen::Point3d | LocalOrigin () |
Returns the local origin Created in NX6.0.0. | |
void | SaveCurves (const NXString &groupName) |
Creates curves by intersecting the bounded grid with all bodies in the part of the grid object. | |
void | SaveCurves (const char *groupName) |
Creates curves by intersecting the bounded grid with all bodies in the part of the grid object. | |
NXOpen::Display::SectionCurveSettingsBuilder * | SectionCurveSettings () |
Returns the curve settings builder Created in NX6.0.0. | |
void | SetAssociative (bool associative) |
Sets the associative Created in NX6.0.0. | |
bool | SetCornerPoints (const NXOpen::Point3d &point1, const NXOpen::Point3d &point2, const NXOpen::Point3d &point3, const NXOpen::Point3d &point4) |
Sets corner points of the grid. | |
void | SetLabelReference (NXOpen::Display::BoundedGridBuilder::LabelReferenceType labelReference) |
Sets the label reference Created in NX6.0.0. | |
void | SetLocalOrigin (const NXOpen::Point3d &localOrigin) |
Sets the local origin Created in NX6.0.0. | |
void | SetShowLabel (NXOpen::Display::BoundedGridBuilder::ShowLabelType showLabelType) |
Sets the show labels Created in NX6.0.0. | |
NXOpen::Display::BoundedGridBuilder::ShowLabelType | ShowLabel () |
Returns the show labels Created in NX6.0.0. | |
![]() | |
void | InheritSettings (NXOpen::Display::Grid *grid) |
Inherits the settings from the specified grid. | |
NXOpen::NXColor * | LineColor () |
Returns the line color Created in NX6.0.0. | |
double | MajorLineSpacing () |
Returns the major line spacing Created in NX6.0.0. | |
NXOpen::Display::GridBuilder::LineStyleType | MajorLineStyle () |
Returns the major line style Created in NX6.0.0. | |
NXOpen::Display::GridBuilder::LineWeightType | MajorLineWeight () |
Returns the major line weight Created in NX6.0.0. | |
int | MinorLinesPerMajor () |
Returns the minor lines per major Created in NX6.0.0. | |
NXOpen::Display::GridBuilder::LineStyleType | MinorLineStyle () |
Returns the minor line style Created in NX6.0.0. | |
NXOpen::Display::GridBuilder::LineWeightType | MinorLineWeight () |
Returns the minor line weight Created in NX6.0.0. | |
void | SetLineColor (NXOpen::NXColor *lineColor) |
Sets the line color Created in NX6.0.0. | |
void | SetMajorLineSpacing (double majorLineSpacing) |
Sets the major line spacing Created in NX6.0.0. | |
void | SetMajorLineStyle (NXOpen::Display::GridBuilder::LineStyleType majorLineStyle) |
Sets the major line style Created in NX6.0.0. | |
void | SetMajorLineWeight (NXOpen::Display::GridBuilder::LineWeightType majorLineWeight) |
Sets the major line weight Created in NX6.0.0. | |
void | SetMinorLinesPerMajor (int minorLinesPerMajor) |
Sets the minor lines per major Created in NX6.0.0. | |
void | SetMinorLineStyle (NXOpen::Display::GridBuilder::LineStyleType minorLineStyle) |
Sets the minor line style Created in NX6.0.0. | |
void | SetMinorLineWeight (NXOpen::Display::GridBuilder::LineWeightType minorLineWeight) |
Sets the minor line weight Created in NX6.0.0. | |
void | SetShow (bool show) |
Sets the show Created in NX6.0.0. | |
void | SetShowMajorLines (bool showMajorLines) |
Sets the show major lines Created in NX6.0.0. | |
void | SetShowOnTop (bool showOnTop) |
Sets the show on top Created in NX6.0.0. | |
void | SetSnapPointsPerMinor (int snapPointsPerMinor) |
Sets the snap points per minor Created in NX6.0.0. | |
void | SetSnapToGrid (bool snapToGrid) |
Sets the snap to grid Created in NX6.0.0. | |
bool | Show () |
Returns the show Created in NX6.0.0. | |
bool | ShowMajorLines () |
Returns the show major lines Created in NX6.0.0. | |
bool | ShowOnTop () |
Returns the show on top Created in NX6.0.0. | |
int | SnapPointsPerMinor () |
Returns the snap points per minor Created in NX6.0.0. | |
bool | SnapToGrid () |
Returns the snap to grid Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents the builder for creating a bounded grid Display::BoundedGrid .
<br> This is an abstract class, and cannot be instantiated. <br>
Default values.
Property | Value |
---|---|
SectionCurveSettings.ColorOption |
Any |
SectionCurveSettings.Show |
false |
Created in NX6.0.0.
Specifies label reference.
LabelReferenceTypeLocal |
Use local grid origin to determine grid line offset labels. |
LabelReferenceTypeWcs |
Use projection of WCS origin on the grid plane to determine grid line offset labels. |
LabelReferenceTypeAbsolute |
Use projection of absolute origin on the grid plane to determine grid line offset labels. |
bool NXOpen::Display::BoundedGridBuilder::Associative | ( | ) |
Returns the associative
Created in NX6.0.0.
License requirements : None
bool NXOpen::Display::BoundedGridBuilder::GetCornerPoints | ( | NXOpen::Point3d * | point1, |
NXOpen::Point3d * | point2, | ||
NXOpen::Point3d * | point3, | ||
NXOpen::Point3d * | point4 | ||
) |
Gets corner points of the grid.
point1 | First corner point |
point2 | Second corner point |
point3 | Third corner point |
point4 | Fourth corner point |
NXOpen::Display::BoundedGridBuilder::LabelReferenceType NXOpen::Display::BoundedGridBuilder::LabelReference | ( | ) |
Returns the label reference
Created in NX6.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Display::BoundedGridBuilder::LocalOrigin | ( | ) |
Returns the local origin
Created in NX6.0.0.
License requirements : None
void NXOpen::Display::BoundedGridBuilder::SaveCurves | ( | const NXString & | groupName | ) |
Creates curves by intersecting the bounded grid with all bodies in the part of the grid object.
The bodies that are visible in the work view are intersected. The curves are added to the group created with the specified name. The group is displayed in the part navigator. The curves are created in the work part. These curves are not associated with the grid. These are just snapshot curves that can be used for modeling purposes. If the customer default "Load Solids/Sheets when Saving Section Curves" is enabled, the Save Copy of Section Curves command in the datum plane grid dialog will cause solid/sheet bodies to be loaded into memory for any visible lightweight bodies on the section plane. This may increase the time and memory used by the operation, but will ensure fully accurate section curves.
Created in NX6.0.0.
License requirements : None
groupName | Name of the group containing curves. If NULL, a default name will be used. NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Display::BoundedGridBuilder::SaveCurves | ( | const char * | groupName | ) |
Creates curves by intersecting the bounded grid with all bodies in the part of the grid object.
The bodies that are visible in the work view are intersected. The curves are added to the group created with the specified name. The group is displayed in the part navigator. The curves are created in the work part. These curves are not associated with the grid. These are just snapshot curves that can be used for modeling purposes. If the customer default "Load Solids/Sheets when Saving Section Curves" is enabled, the Save Copy of Section Curves command in the datum plane grid dialog will cause solid/sheet bodies to be loaded into memory for any visible lightweight bodies on the section plane. This may increase the time and memory used by the operation, but will ensure fully accurate section curves.
Created in NX6.0.0.
License requirements : None
groupName | Name of the group containing curves. If NULL, a default name will be used. NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::Display::SectionCurveSettingsBuilder* NXOpen::Display::BoundedGridBuilder::SectionCurveSettings | ( | ) |
Returns the curve settings builder
Created in NX6.0.0.
License requirements : None
void NXOpen::Display::BoundedGridBuilder::SetAssociative | ( | bool | associative | ) |
Sets the associative
Created in NX6.0.0.
License requirements : None
associative | associative |
bool NXOpen::Display::BoundedGridBuilder::SetCornerPoints | ( | const NXOpen::Point3d & | point1, |
const NXOpen::Point3d & | point2, | ||
const NXOpen::Point3d & | point3, | ||
const NXOpen::Point3d & | point4 | ||
) |
Sets corner points of the grid.
point1 | First corner point |
point2 | Second corner point |
point3 | Third corner point |
point4 | Fourth corner point |
void NXOpen::Display::BoundedGridBuilder::SetLabelReference | ( | NXOpen::Display::BoundedGridBuilder::LabelReferenceType | labelReference | ) |
Sets the label reference
Created in NX6.0.0.
License requirements : None
labelReference | labelreference |
void NXOpen::Display::BoundedGridBuilder::SetLocalOrigin | ( | const NXOpen::Point3d & | localOrigin | ) |
Sets the local origin
Created in NX6.0.0.
License requirements : None
localOrigin | Label origin |
void NXOpen::Display::BoundedGridBuilder::SetShowLabel | ( | NXOpen::Display::BoundedGridBuilder::ShowLabelType | showLabelType | ) |
Sets the show labels
Created in NX6.0.0.
License requirements : None
showLabelType | showlabeltype |
NXOpen::Display::BoundedGridBuilder::ShowLabelType NXOpen::Display::BoundedGridBuilder::ShowLabel | ( | ) |
Returns the show labels
Created in NX6.0.0.
License requirements : None